<?php
/* Mantenimiento de los registros de la tabla VTA_FormaPago redefinidos por el usaurio */
class VTA_FormaPagoDP extends BaseVTA_FormaPagoDP
{
    public static function recuperarId()
    {
        $s_Sql = "SELECT IF( MAX( IdFormaPago ) IS NULL, 1, MAX( IdFormaPago ) + 1 ) i_Id  FROM VTA_FormaPago;";
        $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
        $o_ResultSet->next();
        $i_Id = $o_ResultSet->getInt( 'i_Id' );
        return $i_Id;
    }
}
?>